#include <wx/wx.h>

#include "appres.h"


IMPLEMENT_DYNAMIC_CLASS(AppRes, wxObject)


WX_DECLARE_STRING_HASH_MAP(wxString, StringTable);


AppRes::AppRes()
    :wxObject(), _tbl(NULL)
{
    _tbl = new StringTable();
}


AppRes::~AppRes()
{
    delete _tbl;
}


wxString& AppRes::GetString(const wxString &key) const
{
    return (*_tbl)[key];
}


void AppRes::Append(const wxString &key, const wxString &var)
{
    (*_tbl)[key] = var;
}

