#ifndef SEALEDPAD_APP_H
#define SEALEDPAD_APP_H


class AppRes;


class MyApp: public wxApp
{
public:
    virtual bool OnInit();
    virtual int OnExit();
    
    const AppRes* GetAppRes() const;
    
    static bool SaveFile(const wxString &filename, const wxString &data,
                         const wxString &password);
    static bool LoadFile(const wxString &filename, wxString *data,
                         const wxString &password);
    
private:
    AppRes *_res;

};


DECLARE_APP(MyApp)


#endif
